#!/bin/bash

# Based on the public locate script from jehsom

DBFILE=/etc/mp3.db

[ -z "$1" ] && {
    echo ',-----------------------------------='
	echo '| Usage: SITE LOCATE <regexp>'
	echo '|'
	echo '| Shows a list of mp3 files containing the regular'
	echo '| expression specified. If you do not know how to'
    echo '| use regexes, start out by replacing "*" with ".*"'
    echo '| and "?" with ".". Then go to a unix box and type'
    echo '| "man 7 regex". Multiple search terms are ignored.'
    echo '| Instead, use an "or" in your regex: "(term1|term2)"'
    echo '| or match one after the other with: "(term1.*term2)"'
	echo '`---------------------------------------------------='
	exit 0
}

grep -Ei "$*" $DBFILE
exit 0
